libdbi (0.9.0-6.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:54:09 +0000

libdbi (0.9.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062269

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:44:45 +0000

libdbi (0.9.0-6) unstable; urgency=medium

  * Transition to texlive-formats-extra build dependency (closes: #871744).
  * Update packaging bits.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1:
    - remove libdbi1-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Dec 2020 19:59:18 +0100

libdbi (0.9.0-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Dec 2020 14:37:04 +0100

libdbi (0.9.0-5) unstable; urgency=medium

  * Backport fix to re-enable a call to _error_handler() that was commented
    out for no obvious reason in dbi_result_next_row() .
  * Update Standards-Version to 4.1.1:
     - change libdbi1-dbg priority to optional.
   * Update debhelper level to 10:
     - remove dh-autoreconf build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2017 14:11:40 +0000

libdbi (0.9.0-4) unstable; urgency=medium

  * Backport fix for double-free in dbi_shutdown_r() (closes: #764130).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Nov 2014 12:06:55 +0000

libdbi (0.9.0-3) unstable; urgency=medium

  * Backport important upstream patches:
    - fix memory leak if not connected (closes: #745980),
    - fix possible access to unallocated memory.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Sep 2014 08:54:25 +0000

libdbi (0.9.0-2) unstable; urgency=medium

  * Add missing copyright holders and fixed syntax (Closes: #736240)
  * Add Breaks against non-multiarchified versions of libdbd-* packages.
    Thanks to Sébastien Villemot for the suggestion (Closes: #737286)

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 04 Apr 2014 16:40:25 +0700

libdbi (0.9.0-1) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * Correct debian/copyright .

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0 (Closes: #708115, #717437)
  * Use debhelper short rules with autoreconf (Closes: #565558)
  * Add -dbg package
  * Update symbols file for new symbols
  * Add multiarch support
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint
  * Adopt package (Closes: #635659)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jan 2014 21:19:50 +0100

libdbi (0.8.4-6) unstable; urgency=low

  [ Thomas Goirand ]
  * debian/copyright switched to machine readable format.
  * Cleans a bit the debian/rules file.
  [ Jari Aalto <jari.aalto@cante.net> ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
  (Closes: #668338).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets and adjust clean in rules file.
  * Fix duplicate-in-relation-field automake libtool (Lintian).
  * Fix copyright-refers-to-symlink-license (Lintian).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2012 12:38:01 +0000

libdbi (0.8.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop the unneeded Replaces/Conflicts from libdbi1.
  * Drop the unneeded Breaks from libdbi-dev and fix the Replaces
    to state the right version.  (Closes: #633484)
    Thanks to Angel Abad <angelabad@gmail.com> for the help.

 -- Philipp Kern <pkern@debian.org>  Fri, 22 Jul 2011 22:55:15 +0200

libdbi (0.8.4-5) unstable; urgency=low

  * Now Replaces: libdbi (<< 0.8.4-2) and not <= (Closes: #633484).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2011 20:44:56 +0000

libdbi (0.8.4-4) unstable; urgency=low

  * Now also Breaks: libdbi (<= 0.8.4-2) (Closes: #633484).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2011 11:55:30 +0000

libdbi (0.8.4-3) unstable; urgency=low

  * Added a Breaks: libdbi0 and Replaces: libdbi0 in the libdbi-dev so that the
  .a and .la files now in libdbi-dev will upgrade correctly (Closes: #633484).

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Jul 2011 22:58:36 +0000

libdbi (0.8.4-2) unstable; urgency=low

  * Moves the .la and .a files in the -dev package (Closes: #632135).
  * Adds a Provides: libdbi0-dev to libdbi-dev.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Jul 2011 21:44:21 +0000

libdbi (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Recommits the changes bellow.
  * Standard-Version is now 3.9.2.
  * Renamed libdbi0-dev to libdbi-dev.
  * Renamed libdbi0 to libdbi1 as the soname increased (ABI incompatibility).
  * Removes dependency_libs as per
  http://wiki.debian.org/ReleaseGoals/LAFileRemoval.
  * Now building on a copy of all sources, as the build process really is
  too hard to clean, and upstream doesn't do it correctly.
  * As a consequence, autoreconf not needed anymore, so removed from
  build-dependss.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2011 08:33:35 +0000

libdbi (0.8.3+really0.8.2-1) unstable; urgency=low

  * This upload reverts back to 0.8.2 because of an ABI change in the error
    codes as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594607
    this is only temporary and in SID only in order to not bother anyone that
    has dependencies to libdbi. My appologies to the release team, but to my
    defence, I trusted upstream saying that there was only bugfixes and no
    other change.
  * Still keeping zigo@debian.org as maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Aug 2010 08:07:53 +0000

libdbi (0.8.3-1) unstable; urgency=low

  * New upstream release (Closes: #592447, #565562).
  * Now using my email zigo@debian.org on the maintainer field.
  * Now depends on debhelper 7.
  * Added some missing Depends: ${misc:Depends}.
  * Now using Standards-Version 3.9.1.
  * Added Vcs-Browser: URL where I'll keep the Debian package source.
  * Added debian/source/format file, using 1.0 with autoreconf to avoid clean
    target head akes.
  * Not using dh_clean -k but dh_prep in debian/rules.
  * Removed the duplicate section fields.
  * Reviewed a bit short and long descriptions.
  * Now calls ./autogen.sh before ./configure, the package also
    Build-Depends on automake and libtool.
  * In debian/rules, added rm -rf debian/libdbi0/usr/lib/pkgconfig in the
    install target.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Aug 2010 06:43:12 +0800

libdbi (0.8.2-3) unstable; urgency=low

  * New maintainer (Closes: #444424)
  * Now cleaning everything correctly on the clean target
  * Now managing updates of config.sub and config.guess correctly
  * Removed useless postinst and postrm from debian folder as they are
    generated by dh_makeshlibs anyway
  * Cleaned a bit the debian/rules for readability
  * Reviewed the debian/copyright for accuracy

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 26 Nov 2007 05:53:13 +0000

libdbi (0.8.2-2) unstable; urgency=low

  * Added Conflicts: with old version of the libdbi-drivers binaries because
    of a binary conflict with the new version of the lib.

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 25 Nov 2007 03:48:38 +0000

libdbi (0.8.2-1) unstable; urgency=low

  * I'm taking over maintainance of this orphaned package (Closes: #444424)
  * Change libdbi0 dependency for libdbi0-dev
  * New upstream release (Closes: #312115, #326748)
  * Not using dh_movefile anymore, but dh_install
  * Cleaned the debian/rules file
  * The .so link is now sent to the -dev package as it should
  * Now has correct build-depends and depends
  * Now creates a separated -doc package as the size of the doc is quite big

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 30 Sep 2007 12:49:00 +0800

libdbi (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- David Parker <david@neongoat.com>  Tue, 20 Jan 2004 13:27:51 -0800

libdbi (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: #210747)
  * Drivers are now split off from the libdbi core project into the
    libdbi-drivers project.
  * Bumped up Standards-Version

 -- David Parker <david@neongoat.com>  Tue, 23 Dec 2003 13:09:48 -0800

libdbi (0.6.7-5) unstable; urgency=low

  * We now explicitly Build-Depend on libmysqlclient10-dev, since the company
    decided to drop the LGPL licensing and instead impose the GPL on users of
    their client library. sigh.
  * Made configure.in temporarily use AM_MAINTAINER_MODE until this is added
    in the next upstream release. (closes: #186975)
  * Changed libdbi0-dev section to libdevel.

 -- David Parker <david@neongoat.com>  Mon, 14 Apr 2003 21:45:27 -0700

libdbi (0.6.7-4) unstable; urgency=low

  * Updated build system with newer libtool, allowing us to compile on mips
    (closes: #181842)
  * Bumped up Standards-Version.

 -- David Parker <david@neongoat.com>  Wed, 26 Mar 2003 15:22:09 -0800

libdbi (0.6.7-3) unstable; urgency=low

  * Fixed libdbd-pgsql dependencies for new PostgreSQL 7.3 packages.

 -- David Parker <david@neongoat.com>  Sun, 19 Jan 2003 19:11:41 -0800

libdbi (0.6.7-2) unstable; urgency=low

  * Bumped up Standards-Version.

 -- David Parker <david@neongoat.com>  Tue, 17 Dec 2002 17:44:32 -0800

libdbi (0.6.7-1) unstable; urgency=low

  * New upstream release

 -- David Parker <david@neongoat.com>  Tue,  3 Dec 2002 10:08:18 -0800

libdbi (0.6.5-4) unstable; urgency=low

  * Bumped up Standards-Version.
  * Close ITP (closes: #163467)
  * Added Section to Source paragraph
  * Got rid of templateisms in copyright and rules

 -- David Parker <david@neongoat.com>  Sat,  5 Oct 2002 16:38:13 -0700

libdbi (0.6.5-3) unstable; urgency=low

  * Changed Standards-Version.
  * More libdbi-dev to libdbi0-dev references.
  * Fixed Build-Depends.

 -- David Parker <david@neongoat.com>  Tue, 30 Jul 2002 11:31:11 -0700

libdbi (0.6.5-2) unstable; urgency=low

  * Changed libdbi-dev to libdbi0-dev
  * Removed libdbi0's postrm and postinst since ldconfig is auto-added.
  * Updated Standards-Version.

 -- David Parker <david@neongoat.com>  Mon, 29 Jul 2002 23:21:43 -0700

libdbi (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- David Parker <david@neongoat.com>  Fri, 14 Jun 2002 17:02:25 -0700

libdbi (0.6.4-1) unstable; urgency=low

  * Initial Release.

 -- David Parker <david@neongoat.com>  Sat, 11 May 2002 15:30:50 -0700

